/* General Reset */

@font-face {
	font-family: 'Nunito';
	src: url('/assets/fonts/Nunito.ttf') format('truetype');
	font-weight: 400;
	font-style: normal;
}

:root {
	--theme-dark-back: #121c2d;
	--theme-dark-text: #eaeaea;
	--theme-dark-offset: rgba(255, 255, 255, 0.05);
	--theme-dark-offset-text: #eaeaea;

	--primary-color: #003d74;
	--faded: #7d7d7d;
	/* --secondary-text: #eaeaea; */

	--color-hover: #5bde8d;
	--color-accent: #00a878;
	--color-highlight: #ffc700;
	--color-line: #0678ff;
	--color-text: #eaeaea;
	--color-border: #00a878;
	--color-caution: #f44336;

	--color-muted: #a0a0a0;

	--button-back: var(--color-accent);
	--button-hover-back: #008f6b;
	--font-family: 'Nunito', sans-serif;

	/* Typography */
	--font-family: 'Nunito', sans-serif;
	--font-size-base: 1rem;
	--font-size-lg: 1.25rem;
	--font-size-h1: 1.5rem;
	--font-size-h2: 1.25rem;
	--font-size-h3: 1.25rem;
	--font-size-sm: 0.875rem;
	--font-size-xsm: 0.75rem;
	--line-height: 1.5;

	--color-shadow: rgb(0, 168, 120);
}
* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
	-webkit-font-smoothing: antialiased;
}

body {
	/* font-family: 'Arial', sans-serif; */
	font-family: var(--font-family);
	line-height: 1.6rem;
	background-color: var(--theme-dark-back);
	background-repeat: no-repeat;
	background-position: center;
	background-size: cover;
	display: flex;
	flex-direction: column;
	color: var(--theme-dark-text);
	font-size: var(--font-size-base);

	/* filter: brightness(80%); */
}
/* body.home::before {
	content: '';
	position: fixed;
	top: 0;
	left: 0;
	bottom: 0;
	right: 0;
	background: rgba(0, 61, 116, 0.6);
	z-index: 1;
} */
h1,
h2,
h3,
h4 {
	font-family: 'Montserrat', sans-serif;
}

h1 {
	font-size: var(--font-size-h1);
}
h2 {
	font-size: var(--font-size-h2);
}

.container {
	width: 100%;
	max-width: 1200px;
	margin: 0 auto;
	padding: 0 20px;
}

header,
main,
.hero,
.sections,
footer {
	position: relative;
	z-index: 2;
}
header {
	position: sticky;
	top: 0;
	left: 0;
	width: 100%;
	z-index: 1000;
	height: 90px;
	color: white;
}
header .header {
	display: flex;
	justify-content: space-between;
	align-items: center;
	padding: 20px;
	background: rgba(0, 0, 0, 0.8);
	transition: all 0.3s ease-in-out;
}

header.shrink .header,
.header.shrink {
	padding: 4px 20px;
	height: 40px;
}

header .container {
	display: flex;
	justify-content: space-between;
	align-items: center;
}

header h1 {
	font-size: var(--font-size-h1);
	display: inline-flex;
	justify-content: space-between;
	align-items: center;
	gap: 16px;
}
header.shrink h1,
.header.shrink h1 {
	font-size: var(--font-size-h2);
}

header img {
	width: 50px;
	height: 50px;
	/* content: fit-content; */
	background-size: contain;
	background-position: center;
}
header.shrink img,
.header.shrink img {
	font-size: 1.2rem;
	width: 40px;
	height: 40px;
	/* height: 30px; */
}

nav {
	display: inline-flex;
	justify-content: space-between;
	align-items: center;
}

nav a:not(.btn) {
	margin: 0 16px;
	color: #fff;
	text-decoration: none;
	font-weight: bold;
}
nav .btn {
	margin: 0 8px;
}

nav a:not(.btn):hover {
	border-bottom: 2px solid #fff;
}

a.btn {
	appearance: none;
	text-decoration: none;
}

/* main {
	padding-top: 90px;
	transition: padding-top 0.3s ease-in-out;
} */

.hero {
	text-align: center;
	padding: 40px 20px 20px 20px;
}

.hero h2 {
	font-size: 2.5rem;
	margin-bottom: 24px;
	line-height: 2.7rem;
	text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.5);
}

#hero-controls {
	display: none;
	flex-direction: row;
	align-items: center;
	justify-content: center;
	gap: 24px;
	margin: 8px 0 16px 0;
}

#hero-image {
	background-image: url('../assets/images/profile.jpg');
	background-size: cover;
	background-position: center;
	width: 200px;
	height: 200px;
	border: 2px solid white;
	border-radius: 50%;
	margin: auto;
	box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
	margin-bottom: 20px;
}

.hero p {
	font-size: 1.2rem;
	max-width: 800px;
	margin: auto;
	text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.5);
}

.sections {
	display: flex;
	flex-wrap: wrap;
	margin: 20px;
	justify-content: center;
	gap: 10px;
}

footer {
	text-align: center;
	padding: 20px;
	background: rgba(0, 0, 0, 0.9);
	color: #aaa;
}

footer a {
	color: #fff;
	text-decoration: none;
}

footer a:hover {
	color: #00bcd4;
}

.btn,
.close-btn {
	background: var(--button-back);
	color: #fff;
	border: none;
	border-radius: 4px;
	padding: 4px 8px;
	cursor: pointer;
}

.pointer {
	cursor: pointer;
}

.font-size-sm {
	font-size: var(--font-size-sm);
}
.italic {
	font-style: italic;
}
.underline {
	text-decoration: underline;
}
.bold {
	font-weight: bold;
}
.text-center {
	text-align: center;
}
.w100p {
	min-width: 100%;
	margin: auto;
}

@media screen and (max-width: 768px) {
	nav {
		display: none;
	}

	#hero-controls {
		display: flex;
	}
}
@media print {
	html,
	body {
		/* background: white; */
		padding: 0;
		margin: 0;
	}
	header,
	footer {
		display: none;
	}
}
